import type { GridOption, Locale, BasePaginationComponent, PaginationService, PubSubService, PaginationMetadata, SlickGrid, Subscription, TranslaterService } from '@slickgrid-universal/common';
import { BindingEventService, BindingHelper } from '@slickgrid-universal/binding';
export declare class SlickPaginationComponent implements BasePaginationComponent {
    protected _bindingHelper: BindingHelper;
    protected _bindingEventService: BindingEventService;
    protected _paginationElement: HTMLDivElement;
    protected _enableTranslate: boolean;
    protected _grid: SlickGrid;
    protected _gridContainerElm?: HTMLElement;
    protected _itemPerPageElm: HTMLSelectElement;
    protected _spanInfoFromToElm: HTMLSpanElement;
    protected _seekFirstElm: HTMLLIElement;
    protected _seekPrevElm: HTMLLIElement;
    protected _seekNextElm: HTMLLIElement;
    protected _seekEndElm: HTMLLIElement;
    protected _subscriptions: Subscription[];
    protected _paginationService: PaginationService;
    protected _pubSubService: PubSubService;
    protected _translaterService?: TranslaterService;
    currentPagination: PaginationMetadata;
    firstButtonClasses: string;
    lastButtonClasses: string;
    prevButtonClasses: string;
    nextButtonClasses: string;
    textItemsPerPage: string;
    textItems: string;
    textOf: string;
    textPage: string;
    constructor();
    get availablePageSizes(): number[];
    get dataFrom(): number;
    get dataTo(): number;
    get itemsPerPage(): number;
    set itemsPerPage(count: number);
    get pageCount(): number;
    get pageNumber(): number;
    /** Getter for the Grid Options pulled through the Grid Object */
    get gridOptions(): GridOption;
    get gridUid(): string;
    get locales(): Locale;
    get totalItems(): number;
    get isLeftPaginationDisabled(): boolean;
    get isRightPaginationDisabled(): boolean;
    init(grid: SlickGrid, paginationService: PaginationService, pubSubService: PubSubService, translaterService?: TranslaterService | undefined): void;
    /** dispose of all Subscriptions, DOM element & bindings */
    dispose(): void;
    /** dispose of the DOM element & bindings only (regular PubSub subscription will be preserved) */
    disposeDom(): void;
    /** render the Pagination in the DOM with all events & bindings */
    renderPagination(containerElm: HTMLElement): void;
    /** Render and fill the Page Sizes <select> element */
    renderPageSizes(): void;
    /** Add some DOM Element bindings */
    addBindings(): void;
    /** Add some DOM Element event listeners */
    addEventListeners(): void;
    changeToFirstPage(event: MouseEvent): void;
    changeToLastPage(event: MouseEvent): void;
    changeToNextPage(event: MouseEvent): void;
    changeToPreviousPage(event: MouseEvent): void;
    changeToCurrentPage(pageNumber: number): void;
    updateItemsPerPage(event: {
        target: any;
    }): void;
    /** Translate all the texts shown in the UI, use ngx-translate service when available or custom locales when service is null */
    translatePaginationTexts(): void;
    /** Create the Pagination Container */
    protected createPaginationContainer(): HTMLDivElement;
    protected createPageNumberSection(): HTMLDivElement;
    protected createPaginationSettingsSection(): HTMLSpanElement;
    protected updatePageButtonsUsability(): void;
}
//# sourceMappingURL=slick-pagination.component.d.ts.map